<table class="library">
  <tr>
    <th>Prefix</th>
    <th>Field Description</th>
    <th>Notes</th>
  </tr>
  <tr>
    <td>B</td>
    <td>Body dimensions</td>
    <td>
      <ul>
        <li>Body size (<code>X</code>x<code>Y</code>x<code>Z</code>)</li>
        <li>Height parameter <code>Z</code> may be omitted</li>
        <li>Prefix <code>B</code> may be omitted if the body size is the major dimension used to define the footprint</li>
      </ul>
    </td>
  </tr>
  <tr>
    <td>D</td>
    <td>Diameter</td>
    <td>
      <ul>
        <li>Diameter of major axis for cylindrical component</li>
        <li>e.g. <code>D10mm</code> - 10mm diameter</li>
      </ul>
    </td>
  </tr>
  <tr>
    <td>H</td>
    <td>Height</td>
    <td>
      <ul>
        <li>Height of component measured from PCB</li>
        <li>Body size <code>B</code> should be used in preference, where possible</li>
        <li>e.g. <code>H1.1mm</code> - component measures 1.1mm above PCB</li>
      </ul>
    </td>
  </tr>
  <tr>
    <td>L</td>
    <td>Length</td>
    <td>
      <ul>
        <li>Length along major axis of component</li>
        <li>Body size <code>B</code> should be used in preference, where possible</li>
        <li>e.g. <code>L15.3mm</code> - 15mm length</li>
      </ul>
    </td>
  </tr>
  <tr>
    <td>O</td>
    <td>Offset</td>
    <td>
      <ul>
        <li>Offset, where no other name is more appropriate</li>
        <li>For example, the distance between pads and the body. Affects silkscreen diagram.</li>
        <li>e.g. <code>O3.81mm</code> - 3.81mm from pads to body.</li>
      </ul>
    </td>
  </tr>
  <tr>
    <td>W</td>
    <td>Width</td>
    <td>
      <ul>
        <li>Width along minor axis of component</li>
        <li>Body size <code>B</code> should be used in preference, where possible</li>
        <li>e.g. <code>W4.75mm</code> - 4.75mm width</li>
      </ul>
    </td>
  </tr>
  <tr>
    <td>EP</td>
    <td>Exposed pad dimensions</td>
    <td>
      <ul>
        <li>Packages that include a single exposed pad include the size of this pad. e.g. <code>EP2.4x3.6mm</code> - for
          a single 2.4mm x 3.6mm pad.</li>
      </ul>
    </td>
  </tr>
  <tr>
    <td>P</td>
    <td>Pad pitch</td>
    <td>
      <ul>
        <li>Pitch (distance) between pins, pads or leads</li>
        <li>e.g. <code>P0.63mm</code> - 0.63mm pitch between pads</li>
      </ul>
    </td>
  </tr>
  <tr>
    <td>T</td>
    <td>Thickness</td>
    <td>Component thickness, where appropriate</td>
  </tr>
</table>